/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmeeting.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workmeeting.entity.Workmeetinguser;
import com.jeeplus.modules.workmeeting.dao.WorkmeetinguserDao;

/**
 * 会议用户信息Service
 * @author 杨帆
 * @version 2018-03-05
 */
@Service
@Transactional(readOnly = true)
public class WorkmeetinguserService extends CrudService<WorkmeetinguserDao, Workmeetinguser> {

	public Workmeetinguser get(String id) {
		return super.get(id);
	}

	public List<Workmeetinguser> getByMeetingId(Workmeetinguser workmeetinguser) {
		return dao.getByMeetingId(workmeetinguser);
	}

	public Workmeetinguser getByMeetingIdAndUser(Workmeetinguser workmeetinguser) {
		return dao.getByMeetingIdAndUser(workmeetinguser);
	}
	public List<Workmeetinguser> getByUserId(Workmeetinguser workmeetinguser) {
		return dao.getByUserId(workmeetinguser);
	}

	public List<Workmeetinguser> findList(Workmeetinguser workmeetinguser) {
		return super.findList(workmeetinguser);
	}
	
	public Page<Workmeetinguser> findPage(Page<Workmeetinguser> page, Workmeetinguser workmeetinguser) {
		return super.findPage(page, workmeetinguser);
	}
	
	@Transactional(readOnly = false)
	public void save(Workmeetinguser workmeetinguser) {
		super.save(workmeetinguser);
	}
	@Transactional(readOnly = false)
	public void updateByRoomName(Workmeetinguser workmeetinguser) {
		dao.updateByRoomName(workmeetinguser);
	}
	@Transactional(readOnly = false)
	public void updateByUser(Workmeetinguser workmeetinguser) {
		dao.updateByUser(workmeetinguser);
	}

	@Transactional(readOnly = false)
	public void delete(Workmeetinguser workmeetinguser) {
		super.delete(workmeetinguser);
	}
	@Transactional(readOnly = false)
	public void deleteByRoomName(String roomName) {
		dao.deleteByRoomName(roomName);
	}

	
	
	
}